#include <stdio.h>
#include <stdlib.h>
int main()
{
    int n,i,l,h,b=0;
    scanf("%d",&n);
    scanf("%d",&l);
    for (i=1;i<=n;i++)
    {
        scanf("%d",&h);
        if(h<=l)
        {
            b=i;
            break;
        }
    }
    if (b==0)
    printf("-1");
    else
    printf("%d",b);

return 0;}